gerbera (1.12.1+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.12.1 (Closes: #1037538, #1037675, #960927, #925465)
  * d/watch: Scan new official GitHub repo
  * Add new build dependencies
  * Remove min build dependency versions
  * Update runtime dependencies
  * Fix lintian: unused-override
  * d/copyright: Drop non-existing files
  * d/copyright: Add new info

  [ James Cowgill ]
  * Use debhelper compat 13
  * Set Rules-Requires-Root: no
  * Install all files within gerbera.install
  * Add gerbera-doc package and install sphinx documentation

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Fri, 14 Jul 2023 21:28:33 +0200

gerbera (1.1.0+dfsg-3) unstable; urgency=medium

  * d/patches: Fix FTBFS with pupnp 1.8.3. (Closes: #885025)

 -- James Cowgill <jcowgill@debian.org>  Mon, 12 Nov 2018 23:08:20 +0000

gerbera (1.1.0+dfsg-2) unstable; urgency=medium

  * debian/rules:
    - Disable WITH_SYSTEMD option. Fixes FTBFS when systemd is not
      installed.

 -- James Cowgill <jcowgill@debian.org>  Wed, 22 Nov 2017 00:13:31 +0000

gerbera (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

  * debian/TODO.Debian:
    - Remove.
  * debian/changelog:
    - Remove trailing whitespace.
  * debian/config.xml:
    - Re-add ffmpegthumbnailer element to config.xml.
  * debian/control:
    - Bump standards version to 4.1.1.
  * debian/copyright:
    - Update copyright.
    - Exclude web/vendor directory.
  * debian/gerbera.desktop:
    - Use new launch html file path.
  * debian/gerbera.links:
    - Symlink web/vendor javascript libraries to system copies.
    - Remove unused mediatomb.png pixmap symlink.
  * debian/patches:
    - Refresh patches and drop patches applied upstream.
    - Drop duktape patch to use new shared library in Debian.
  * debian/rules:
    - Enable exiv2 and ffmpegthumbnailer support.
  * debian/watch:
    - Update to repack orig tarball.

 -- James Cowgill <jcowgill@debian.org>  Tue, 21 Nov 2017 23:09:57 +0000

gerbera (1.0.0-1) unstable; urgency=medium

  * Initial release of the Gerbera MediaTomb fork. (Closes: #863719)
  * Rename packaging from mediatomb to gerbera.
  * Merge 3 mediatomb packages into one.

  * debian/compat:
    - Use compat 10.
  * debian/config.xml:
    - Fix spelling mistakes.
    - Regenerate using builtin default config.
  * debian/control:
    - Reset list of uploaders to just me.
    - Update Homepage and VCS fields.
    - Update build dependencies.
    - Drop manual debug packages.
    - Bump standards version to 4.1.0.
    - Remove libcurl4-openssl-dev build alternative.
    - Update package description.
  * debian/copyright:
    - Rewrite in machine readable format.
  * debian/gerbera.README.Debian:
    - Remove obsolete sections.
  * debian/gerbera.desktop:
    - Add keywords to desktop file.
  * debian/gerbera.docs:
    - Rename from docs, rename upstream README file.
  * debian/gerbera.init:
    - Remove /etc/default/gerbera.
    - Don't setup routing in the init script.
    - Add .log suffix to log files.
    - Use start-stop-daemon to handle user and pid file.
  * debian/gerbera.install:
    - Install svg and 48x48 png icons.
  * debian/gerbera.logrotate:
    - Rotate monthly and compress old logs.
    - Create new log file with correct permissions after rotating.
  * debian/gerbera.postinst:
    - Remove obsolete upgrade handling.
    - Remove NIS tolerence code.
    - Pass --no-create-home to adduser.
  * debian/gerbera.postrm:
    - Pass --system to deluser and delgroup.
    - Don't stop gerbera manually on removal.
    - Only remove /var/lib/gerbera on purge.
  * debian/gerbera.service:
    - Rewrite systemd service based on upstream's version which does not
      attempt to modify the routing tables.
  * debian/patches:
    - Drop patches applied upstream.
    - Refresh patches.
    - Add patches taken from upstream for libupnp 1.8.2 compatibility.
    - Add patch to build duktape as a static library during the build.
    - Add patch to reopen log files when reloading.
    - Add patch to fix spelling mistakes.
    - Add patch header to symlinks patch.
  * debian/rules:
    - Drop configuration options enabled by default upstream.
    - Remove init script overrides.
    - Build with -Wl,--as-needed and -Wl,-z,now.
  * debian/source/lintian-overrides:
    - Add overrides for long lines in nanotree.js
  * debian/watch:
    - Update watch file to point to GitHub repository.
  * d/Readme.source, d/clean, d/get-git-source.sh, d/gerbera.NEWS,
    d/gerbera.menu, d/gerbera.manpages, d/source/local-options:
    - Remove.

 -- James Cowgill <jcowgill@debian.org>  Sat, 23 Sep 2017 18:45:01 +0100

mediatomb (0.12.1-47-g7ab7616-1) unstable; urgency=medium

  [ Miguel A. Colón Vélez ]
  * New upstream snapshot.
    - Added subtitle support for Samsung devices. (Closes: #730391)
  * debian/control:
    - Build depend on pkg-config to fix FTBFS.
    - Explicitly build depend on libavutil-dev.
    - Bump libav requirement to 10.
    - Build depend on libflac-dev to enable FLAC metadata extraction.
    - Build depend on uuid-dev to use the system's libuuid.
  * debian/patches:
    - Refresh and update all patches.
    - Use a more robust patch for building wih libmp4v2.
    - Revert an upstream commit to fix building with libmp4v2.
    - Drop internal libuuid and use the system's libuuid.
    - Drop patches that were fixed upstream:
      + 0005_buffer_overrun_999hours.patch
      + 0006a_js_1.8_support.patch
      + 0006b_js_parse.patch
      + 0006c_js_copyObject.patch
      + 0007_libmozjs185_support.patch
      + 0008a_gcc_4.6_support.patch
      + 0008b_gcc_4.7_support.patch
      + 0009a_libav_0.7_support.patch
      + 0011_libav_9_support.patch
      + 0012_remove_absolute_paths.patch
  * debian/rules:
    - Create a get-orig-source-target to obtain the upstream source.
    - Add --disable-silent-rules for compiler-flags-hidden.
    - Remove --disable-libextractor. (deprecated)
    - Use --disable-lastfm instead of --disable-lastfmlib.
  * Remove myself as uploader.

  [ IOhannes m zmölnig ]
  * Disabled User-Interface by default. (Closes: #580120, #778669)
  * Add notification in NEWS/README.Debian about the disabled user-interface.

 -- Hector Oron <zumbi@debian.org>  Mon, 13 Jul 2015 19:41:42 +0200

mediatomb (0.12.1-7) unstable; urgency=medium

  * d/mediatomb-daemon.mediatomb.init: issue an error if MT_USER is not set.
  * d/rules: disable libmp4v2.
    + fixes FTBFS and potential licensing incompatibility.
    Thanks Michael Tautschnig for report.
    (Closes: #765811)
  * Rename mediatomb-daemon service file to mediatomb.
    + enables systemd and sysvinit coexistence.
    + d/mediatomb-daemon.service: make configuration file mandatory.
    + d/mediatomb-daemon.service: require MT_USER variable in configuration
      file.
  * d/control: bump standards version to 3.9.6.
  * d/mediatomb-daemon.mediatomb.init: drop $all depends per lintian check.

  [ Hector Oron ]
  * New release targeting unstable.

 -- Hector Oron <zumbi@debian.org>  Sun, 19 Oct 2014 03:58:35 +0200

mediatomb (0.12.1-6) unstable; urgency=medium

  [ Hector Oron ]
  * d/p/0013_symlinks.patch: avoids ignoring symlinks
    Thanks Jona Schuman for patch.
    (Closes: #677964)
  * d/mediatomb-daemon.mediatomb.logrotate: reload service instead use pkill
    Based on a proposal by Guillem Jover.
    (Closes: #691650)
  * d/control: alternative build depend on libcurl4-openssl-dev.
    Based on a proposal by Mathieu Malaterre.
    (Closes: #696553)
  * d/p/0012_remove_absolute_paths.patch: new patch.
    Thanks Rene Martin Rodriguez for patch.
    (Closes: #617367)
  * d/mediatomb-daemon.postrm: stop daemon on removals.
    Thanks Dominik Röttsches
    (Closes: #606804)
  * daemon: switch envvars to use MT_ prefix from upstream configuration.
  * daemon: add systemd unit file
  * d/rules,control: build with systemd support
  * d/rules: enable libmp4v2
  * d/mediatomb-daemon.postrm: avoid exit on stop

 -- Hector Oron <zumbi@debian.org>  Fri, 26 Sep 2014 20:30:49 +0200

mediatomb (0.12.1-5) unstable; urgency=low

  * Team upload.

  [ Hector Oron ]
  * Fix build against libmp4v2. (Closes: #677958)
  * Remove config.log file upon cleanup.

  [ Sebastian Ramacher ]
  * debian/patches/0011_libav_9_support.patch: Apply patch from Jona Schuman
    to port mediatomb to libav 9 API. Thanks to Jona Schuman for the patch
    (Closes: #677959)
  * debian/control:
    - Remove obsolete Dm-Upload-Allow. The archive software ignores it.
    - Build-Depends: Bump libavformat-dev to >= 6:9.
    - Vcs-*: Use canonical locations.
    - Bump Standards-Version to 3.9.4.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Sep 2013 15:16:50 +0200

mediatomb (0.12.1-4) unstable; urgency=low

  * Bump debhelper and the compatibility level to 9.
    - Enables hardened build flags.
  * debian/control:
    - Remove Andres Mejia from the uploaders list.
    - Bump Standards-Version to 3.9.3.
    - mediatomb-daemon depends on lsb-base (>= 3.2-14).
    - Create the mediatomb-dbg package.
  * debian/rules:
    - Simplify the rules file.
    - Remove deprecated mediatomb configuration options.
  * debian/patches/*:
    - Update the copyObject function to avoid segfaults with js 1.8.
      (Closes: #664967)
    - Fix the spelling errors mentioned by lintian.
    - Add Ubuntu's patch to properly parse the bitrate and the number of audio
      channels.
  * debian/mediatomb-daemon.mediatomb.init:
    - Add a Description LSB keyword to the init script.
    - Implement the status option in the init script.
  * debian/*:
    - Update the lintian overrides.
    - Use set -e in the body of the maintainer scripts.
    - Remove the references to the versionless symlinks (GPL/LGPL) in the
      copyright file.
    - Add a Readme.source file to explain the requirements needed to be able
      to use DEB_BUILD_OPTIONS=nostrip.
    - Update my name in various files.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Sat, 14 Apr 2012 02:34:34 -0400

mediatomb (0.12.1-3) unstable; urgency=low

  [ Arnout Engelen ]
  * Build with recent versions of ffmpeg. (Closes: #509918, #589208)
  * Force removal of old /etc/init.d/mediatomb scripts. Fixes #577619

  [ Miguel Colon ]
  * Team upload.
  * Fix a FTBFS when using gcc-4.6. (Closes: #624921)
  * Fix a FTBFS by porting to spidermonkey 1.8:
    - Fix a failure to categorize media files with the new js.
    - Build depend on libmozjs185-dev instead of libmozjs-dev.
    - Add detection for -lmozjs185 during the configure script.
    - Use dh-autoreconf instead of patching the results of an old autoreconf.
    - (Closes: #652534, #631046, #642578, #661149)
  * Fixed upstream by adding -lz. (Closes: #555594)
  * Fixed upstream in svn r2034 and already in 0.12.1. (Closes: #572701)
  * Fix a FTBFS when using gcc-4.7.
  * Fix a crash triggered by files with length > 999 hours.
  * Most of the patches originate from the Fedora mediatomb maintainers. Thanks
    go to them.

  [ Hector Oron ]
  * Drop -fpermissive from js_1.8_support.patch, as it makes unapply patches
    to fail after build has finalized.
  * Re-introduce mediatomb into Debian (Closes: #663456).
  * Add Miguel Colon and myself to uploaders.

 -- Hector Oron <zumbi@debian.org>  Sun, 11 Mar 2012 15:18:01 +0100

mediatomb (0.12.1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * new upstream release explicitly adds -lz during build. (Closes: #614956)
  * move user creation scripts from preinst to postinst to avoid
    pre-dependency on adduser

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 24 Feb 2011 21:11:18 +0100

mediatomb (0.12.1-1) experimental; urgency=low

  * New upstream release. (Closes: #579316)
  * Update patches that are to be applied, resolve changes from new
    upstream source.
  * Refresh all patches.
  * Disable lastfm scrobbling support for now since lastfmlib is not in Debian.
  * Update Standards-Version to 3.9.1.
  * Update copyright file to include full text of various BSD licenses.
  * Update watch file for new release.
  * Rotate mediatomb log file weekly for 12 weeks. (Closes: #574685)

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 12 Sep 2010 00:42:53 -0400

mediatomb (0.12.0~svn2018-6) unstable; urgency=low

  * Allow mediatomb to build against ffmpegthumbnailer 2.0 library.
    (Closes: #568961)
  * Bump Standards-Version to 3.8.4.
  * Switch to source format 3.0 (quilt).
  * Build-Depend on debhelper (7.0.50~).
  * Fix init script dependencies. (Closes: #567442, #547794).
  * Fix mappings for matroska files in config.xml. (Closes: #544039)
  * Fix mappings for ogg files in config.xml. (Closes: #558696)
  * Remove unneeded lintian override for libjs-prototype usage.
  * Confirmed that mediatomb is unaffected by new magic_load() function change.
    (Closes: #501586)
  * Add description to const_char_conversion.patch.
  * Update config.xml example configuration.
  * Disable libdvdnav feature as it's not complete.
  * Add documentation in package "mediatomb" that references documentation in
    package "mediatomb-common". (Closes: #546498)

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 10 Feb 2010 18:50:05 -0500

mediatomb (0.12.0~svn2018-5) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Non-maintainer upload.
  * Fix FTBFS due to invalid string constant to char* conversion in
    src/tools.cc (added const_char_conversion.patch) (Closes: #560468)
  * Fix non-uninstallability of mediatomb-daemon, thanks to Raul Sanchez
    Siles for the hint (Closes: #562372)
  * Fix security issue in prototype.js (CVE-2008-7720 and CVE-2007-2383)
    by using the one from the Debian package libjs-prototype
    (Closes: #555232, #555233, #475279)
    + set urgency to medium
    + Make mediatomb-common depend on libjs-prototype
    + Set a symbolic link to prototype.js using mediatomb-common.links

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 04 Feb 2010 08:57:05 -0500

mediatomb (0.12.0~svn2018-4) unstable; urgency=low

  [ Andreas Henriksson ]
  * debian/mediatomb-daemon.postinst:
    avoid trying (and failing!) to migrate database and purge rc.d scripts
    on clean installs, only do it on upgrades.
    (Also make sure the db file exists before trying to copy it for extra
     safety.)
    Thanks goes to all the people who commented on the bug! (Closes: #527566)

  [ Andres Mejia ]
  * Fix wrong namespace used for service-id attribute. (Closes: #535255)
  * Use patch instead of running autotools to generate changes to build
    system.
  * Ensure configure and other autotools generated scripts are
    executable.
  * Update packaging to take advantage of new features in debhelper 7.
  * Update override for watch file.
  * Add ${misc:Depends} for Depends field in binary packages.
  * Update Build-Depends for debhelper to 7 and quilt to 0.46-7.
  * Bump Standards-Version to 3.8.2.
  * Remove Build-Depends of automake since it's no longer needed.
  * Make some cosmetic changes to debian/control.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 05 Aug 2009 23:50:50 -0400

mediatomb (0.12.0~svn2018-3) unstable; urgency=low

  * Fix minor typo in mediatomb-transcode script.
  * Show what was passed to DEB_BUILD_OPTIONS in debian/rules.
  * Fix CFLAGS, CXXFLAGS, and LDFLAGS that were getting overridden by
    dpkg-buildpackage.
  * Update watch file to watch for new releases after 0.11.0.
  * Change Maintainer field to Debian multimedia team. Move myself down to
    Uploaders field.
  * Update Vcs-* entries for where packaging will be held in new location.
  * Update comment in postinst script.
  * Add lintian override for debian-watch-file-specifies-old-upstream-version
    warning.

 -- Andres Mejia <mcitadel@gmail.com>  Fri, 08 May 2009 20:10:24 -0400

mediatomb (0.12.0~svn2018-2) unstable; urgency=low

  * Patch config_manager.cc to generate comment in config.xml.
  * Also add mappings for matroska in config.xml.
  * Updated config.xml.dist to reflect what's generated by mediatomb.
  * Include example config.xml and mediatomb-transcode script in examples.

 -- Andres Mejia <mcitadel@gmail.com>  Fri, 24 Apr 2009 20:13:24 -0400

mediatomb (0.12.0~svn2018-1) unstable; urgency=low

  * New release from svn checkout.
  * Removed all old patches as they are applied upstream.
  * Updated mediatomb-get-orig-source script.
  * Updated options to pass to configure script when building.
  * Pass debug options when using nostrip DEB_BUILD_OPTIONS.
  * Update control file for new build dependencies.
  * Update config.xml file to the new default mediatomb installs.
  * Add comment in config.xml for location of documentation for configuration
    files.
  * Update watch file.
  * Fix issue where debug mode would not work in the working directory as a user
    without the proper permissions.
  * Add function in postinst maintainer script that will copy
    /var/lib/mediatomb/sqlite3.db to /var/lisb/mediatomb/mediatomb.db.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 22 Apr 2009 21:39:19 -0400

mediatomb (0.11.0-5) unstable; urgency=low

  * Allow mediatomb to be built against old ffmpeg libraries as well as new
    ffmpeg libraries.

 -- Andres Mejia <mcitadel@gmail.com>  Tue, 07 Apr 2009 18:14:37 -0400

mediatomb (0.11.0-4) unstable; urgency=low

  * Fix problem where mediatomb won't stop when NO_START was set to yes in
    /etc/default/mediatomb. (Closes: #488943)
  * Fix runlevel issue. (Closes: #504119)
  * Bump Standards-Version to 3.8.1.
  * Fixed awkward description for mediatomb-common (was lintian warning).
  * Add override for embedded-javascript-library for now. See bug #475279.
  * Refreshed patches.
  * Allow mediatomb to be built against new ffmpeg libraries. (Closes: #521336)
  * Remove direct check on SourceForge servers for new tarball. Addresses
    lintian warning.
  * Update compat to 5. Addresses lintian warning.
  * Update package description to remove first person summary. Addresses lintian
    warning.

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 05 Apr 2009 16:47:06 -0400

mediatomb (0.11.0-3) unstable; urgency=low

  * Add check to see if $GROUP is defined and if not, define it as $USER.
    Closes: #475499
  * Fix FTBFS. Closes: #477036

 -- Andres Mejia <mcitadel@gmail.com>  Mon, 21 Apr 2008 20:48:48 -0400

mediatomb (0.11.0-2) unstable; urgency=low

  * Changing NO_START to "no" in /etc/default/mediatomb for mediatomb-daemon
    package.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 26 Mar 2008 13:41:02 -0400

mediatomb (0.11.0-1) unstable; urgency=low

  * New upstream release.
  * Include message about which inotify headers will be used when enabling
    inotify runtime support.
  * Fixed error with use of INTERFACE in init script. Also removed use of -m
    option.
  * Including new config.xml options.
  * Added more build dependencies for new upstream release.
  * Removed build dependency of libid3-dev, taglib is now preferred.
  * mediatomb.xpm and manpage.xml is now included in orig tarball.
  * inotify patch is not needed anymore.
  * md5 patch has been committed upstream and is no longer needed. Also removed
    README.Debian.
  * TwinHelix PNG fix is now used. Removed from TODO.
  * Adding dependency of iceweasel for mediatomb package.
  * Updated copyright file.
  * Updated watch file.
  * Updated rules file for proper configure options.

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 02 Mar 2008 13:09:16 -0500

mediatomb (0.10.0.dfsg1-2) unstable; urgency=low

  * Moved Debian packaging from svn to git.
    + Updated Vcs entries in debian/control.
  * Fixing inotify build problems. An inotify check will be supported for
    runtime. Closes: #465177
  * Removing .pc directory when unpatching.
  * Allowing options used in running configure to be overriden.
  * Writing external script to generate orig source tarball and have
    get-orig-source target in debian/rules call external script.
  * Update copyright to mention two files that are removed from upstream.
  * Add TODO about changing from using PNG Behavior fix from WebFX to using IE
    PNG Fix delivered by TwinHelix.
  * Adding TODO about ensuring that the WebUI works under any Mozilla based
    browser.
    + There's a known problem with the WebUI under Konqueror.

 -- Andres Mejia <mcitadel@gmail.com>  Tue, 19 Feb 2008 22:27:26 -0500

mediatomb (0.10.0.dfsg1-1) unstable; urgency=low

  [ Andres Mejia ]
  * Moved myself in Maintainers field and Leonhard to Uploaders field.
  * Added Sven Mueller to Uploaders field.
  * Place comment in patch.
  * Hard code some configure options for mediatomb
    + Ensures proper dependencies are used in case someone builds packages with
      'debian/rules binary'.
  * Adding 'get-orig-source' in debian/rules.
  * Installing the README.Debian file to the mediatomb package as well.
  * Added watch file.
  * Add nostrip option for DEB_BUILD_OPTIONS.
  * Fix permissions to comply with Debian policy.
  * Call configure properly as described in autotools-dev documentation.
  * Test for the existence of *-stamp stamps before attempting to remove.
  * Renamed config.status target to configure and call configure-stamp target.
  * Installing only ASCII upstream README and scripting.txt.
  * Making mediatomb-daemon and mediatomb package binary independent.
    + Updated debian/rules to use binary-indep target.
  * Updated package descriptions.
  * Specify CXXFLAGS to use.
  * Add lintian override for use of x-www-browser.
  * Rewriting init scripts based on /etc/init.d/skeleton.
    + Update default configuration.
    + Properly test for home directory and use it with daemon options.
  * Updated mediatomb-daemon README.Debian.
  * Renaming acinclude.m4 to acx_pthread.m4 during build time, so as not to
    confuse it with acinclude.m4 from libtool.
  * Changing Vcs-Browser to point to
    http://svn.debian.org/wsvn/collab-maint/ext-maint/mediatomb/?op=log
  * Creating package that could be suitable to upload directly to Debian
    archive. (Closes: 440199)
    + Packaging is a heavily modified form of the packaging found in
      http://apt.mediatomb.cc/pool/main/m/mediatomb/
    + Changes made are written below in order of latest changes to oldest
      changes.
  * init scripts will be installed using the name "mediatomb".
    + Added README.Debian showing how to remove the old files and startup
      links.
  * Added logrotate script.
  * Bumped Standards-Version to 3.7.3.
  * Changed Vcs-* entries to new location in svn.debian.org.
  * Rewrote copyright file to be machine parsable and to list the copyright and
    license information for the files derived from other projects.
  * Taking out "open source (GPL)" words in package description.
  * manpage docbook source added in debian/extras.
  * Replaced RSA MD5 code with MD5 code found in dpkg (for license reasons).
    + Code is removed in orig tarball and patched in during build.
  * init script will send SIGTERM instead of SIGINT to stop mediatomb.
  * Took out duplicate Homepage field in control file.
  * Took out XS- from Vcs-* fields in control file.
  * Took out deprecated Encoding key in the .desktop file.
  * Fixing mediatomb-daemon.postrm to delete /var/lib/mediatomb when removing
    or purging.
  * Adding dpkg-statoverride command during purging to remove overrides used
    by mediatomb-daemon package.
  * Using deluser and delgroup commands to remove mediatomb user and group.
  * Removed dependency on passwd.
  * Added --disabled-{login,password} for adduser in preinst.
  * Changed --shell option to use /usr/sbin/nologin in preinst.
  * Using dpkg-statoverride instead of chown for postinst.
  * Adding myself to Uploaders field instead of Maintainer field.
  * Creating three packages.
    + mediatomb-common will contain the the binary, the manpage, and everything
      needed for scripting and the web interface.
    + mediatomb-daemon will contain the files needed to run mediatomb as a
      daemon.
    + mediatomb will contain the desktop file that depends on a web browser to
      access the web ui.
  * Adding Homepage field in source stanza which will be supported soon.
  * Removing konqueror as dependency for mediatomb as it is not yet recommended
    to use konqueror to access the webui.
  * Removing misc:Depends tag as it is not needed.
  * Set myself as a maintainer.
  * Removing debian/dirs as it is not needed.
  * Removing prerm script as it did nothing.
  * Renaming maintainer scripts since they are relevant only to the daemon
    package.
  * Replacing build-deps of autotools-dev with automake.
  * Calling autotools to ensure everything is up to date.
  * Adding "distclean" target when running debian/rules clean.
  * Adding dependency to www-browser virtual package.
    + Including some real packages first as alternatives.
  * Adding desktop file to open mediatomb configuration page.
    + Correct IP address and port to open is provided in
      /var/lib/mediatomb/mediatomb.html.
  * Adding menu file as well.
  * Adding dh_installmenu and dh_desktop commands to debian/rules.
  * Adding mediatomb.install for desktop and xpm file.
  * Providing symlink for icon used with desktop entry.
  * Addressing bad-distribution-in-changes-file lintian error.
    + debian/changelog had unknown/invalid target distribution (etch).
  * Addressing out-of-date-standards-version lintian warning.
    + Bumped 'Standards-Version' to 3.7.2.
  * Addressing debian-rules-ignores-make-clean-error lintian warning.
    + Replaced "-$(MAKE) clean" with "[ ! -f Makefile ] || $(MAKE) clean" in
      debian/rules file.
  * Setting NO_START variable in mediatomb.default to "".
  * Replacing build dependency of libsmjs-dev to libmozjs-dev.
    + libsmjs-dev is a transition package.
  * Adding -m /dev/null in D_ARGS for init script.
    + Temporary workaround for a bug that has been fixed in SVN.
  * Added Uploaders field in debian/control to add me as an uploader.
  * Renamed some build depends to their appropriate virtual packages.
    + Should make it easier for binNMUs.
    + libid3-3.8.3-dev changed to libid3-dev.
    + libmysqlclient15-dev changed to libmysqlclient-dev.
    + zlib1g-dev changed to libz-dev.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 02 Feb 2008 01:42:48 -0500
